Skip to main content
GET
/
v2
/
mining
/
commodities
/
{name}
/
price
Commodity Price History
curl --request GET \
  --url https://api.sectors.app/v2/mining/commodities/{name}/price/ \
  --header 'Authorization: <authorization>'
[
    {
        "name": "Coal",
        "date": "2022-01-01",
        "price_usd_per_ton": 158.5
    },
    {
        "name": "Coal",
        "date": "2022-02-01",
        "price_usd_per_ton": 188.38
    }
]
[
    {
        "name": "Coal",
        "date": "2022-01-01",
        "price_usd_per_ton": 158.5
    },
    {
        "name": "Coal",
        "date": "2022-02-01",
        "price_usd_per_ton": 188.38
    }
]
Authorization
string
required
Authorization header that should be filled with your Sectors Financial API key.

Path Parameters

name
string
required
The name of the commodity to retrieve price data for (e.g., Coal (HBA 1)).

Query Parameters

start_year
integer
Start year (e.g. 2022). Defaults to current year - 2.
end_year
integer
End year inclusive (e.g. 2024). Defaults to current year.

Response

The response is a list of price records sorted by date in ascending order.
name
string
The name of the commodity.
date
string
The date of the price entry (YYYY-MM-DD).
price_usd_per_ton
number
The price of the commodity in USD per ton.